# AddProjectMessage

Adds a Message to a project

### Request Parameters

| Parameter | Type | Description | Required |
|  --- | --- | --- | --- |
| action | string | "AddProjectMessage" | Required |
| projectid | int | The id of the project the message is for | Required |
| message | string | The message to add to the project | Required |
| adminid | int | Override the admin id for the message. Not passing will set to the adminid of the api request | Optional |


### Response Parameters

| Parameter | Type | Description |
|  --- | --- | --- |
| result | string | The result of the operation: success or error |
| message | string | 'Message has been added' |


### Example Request (CURL)

```
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, 'https://www.example.com/includes/api.php');
curl_setopt($ch, CURLOPT_POST, 1);
curl_setopt($ch, CURLOPT_POSTFIELDS,
    http_build_query(
        array(
            'action' => 'AddProjectMessage',
            // See https://developers.whmcs.com/api/authentication
            'username' => 'IDENTIFIER_OR_ADMIN_USERNAME',
            'password' => 'SECRET_OR_HASHED_PASSWORD',
            'projectid' => '1',
            'message' => 'This is a sample message',
            'adminid' => '2',
            'responsetype' => 'json',
        )
    )
);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
$response = curl_exec($ch);
curl_close($ch);
```

### Example Request (Local API)

```
$command = 'AddProjectMessage';
$postData = array(
    'projectid' => '1',
    'message' => 'This is a sample message',
    'adminid' => '2',
);
$adminUsername = 'ADMIN_USERNAME'; // Optional for WHMCS 7.2 and later

$results = localAPI($command, $postData, $adminUsername);
print_r($results);
```

### Example Response JSON

```
{
    "result": "success",
    "message": "Message has been added"
}
```

### Error Responses

Possible error condition responses include:

* Project ID not Set
* Project ID Not Found
* Message not Entered
* Admin ID Not Found


### Version History

| Version | Changelog |
|  --- | --- |
| 1.0 | Initial Version |